<template>
  <div style="margin-top: 20px;">
    <q-input v-model="form.name_product" standout="bg-green text-white" label="Nama Lowongan"/>
    <q-input v-model="form.desc_product" style="margin-top: 30px" standout="bg-green text-white"
             label="Deskripsi Lowongan"
             type="textarea" />
    <q-checkbox v-model="form.price_prone_flag" label="Gunakan Rentang Harga" />
    <div v-if="form.price_prone_flag">
      <div class="row">
        <div class="col-6">
          <q-input type="number" v-model="form.starting_price" style="padding-right: 5px" class="col-6"
                   standout="bg-green text-white"
                   label="Dari Harga"
          />
        </div>
        <div class="col-6">
          <q-input type="number" v-model="form.final_price" style="padding-right: 5px" class="col-6"
                   standout="bg-green text-white"
                   label="Sampai Harga"
          />
        </div>
      </div>
    </div>
    <div v-else>
      <q-input v-model="form.price" style="padding-right: 5px" class="col-6"
               standout="bg-green text-white"
               label="Harga Jasa"
               hint="Masukan harga jasa dalam mata uang rupiah"
               :value="form.price"
               v-currency="option"/>
    </div>
    <q-select :options="form.optionUnitPrice" v-model="form.id_unit_price" style="padding-right: 5px" class="col-6" standout="bg-green
    text-white"
              label="Pilih Satuan"
              hint="."/>
    <div>
    </div>
  </div>
</template>

<script>
import FormTambahan from "components/Product/FormTambahan";
import { CurrencyDirective } from "vue-currency-input"

export default {
  name: 'FormProductLowongan',

  components: {
    FormTambahan
  },

  directives:{
    currency: CurrencyDirective
  },
  data () {
    return {
      form: {
        optionUnitPrice: [
          {
            label: "IDR",
            value: 1
          },
          {
            label: "USD",
            value: 2
          }
        ],
        price_prone_flag: false,
        id_unit_price: null,
        name_product: null,
        desc_product: null,
        price: 0,
        starting_price: 0,
        final_price: 0,
        level: 0
      }
    }
  },
  computed: {
    option() {
      return {
        locale: undefined,
        currency: "IDR"
      }
    }
  },
  methods: {
    submit() {
      this.$emit("submit", this.form);
    }
  }
}
</script>
